#include "media-opal.h"

static void
add_opal_devices (Ekiga::MediaSessionPtr session)
{
  {
    GstElement* device = gst_parse_bin_from_description ("audiotestsrc name=remote_audio_hook", FALSE, NULL);
    gst_element_set_name (device, "Remote audio input");
    session->add_input_device (device);
  }
  {
    GstElement* device = gst_parse_bin_from_description ("videotestsrc name=opal_remote_video ! agingtv ! videoconvert ! video/x-raw,format=I420,width=320,height=240 ! videomixer name=remote_video_hook", FALSE, NULL);
    gst_element_set_name (device, "Remote video input");
    session->add_input_device (device);
  }
}

Opal::Media::Media (Ekiga::MediaCorePtr core)
{
  connection = core->session_added.connect (&add_opal_devices);
}

Opal::Media::~Media ()
{
  connection.disconnect ();
}
